Bug 864536 - Instructions for openssl certificate hash link are missing a .# suffix
Instructions for openssl certificate hash link are missing a .# suffix
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Management_Console_Installation_Guide (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity medium
: 2.2.1
: ---
Assigned To: David Ryan
Stanislav Graf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 10:25 EDT by Trevor McKay
Modified: 2015-02-01 18:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-07 12:41:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for certificate hash generation instructions (905 bytes, patch)
2012-10-09 13:09 EDT, Trevor McKay
no flags Details | Diff

  None (edit)
Description Trevor McKay 2012-10-09 10:25:56 EDT
Description of problem:

The 'ln' command in the Appendix dealing with installing openssl certificates in the certs directory is missing a suffix in the link name.

Without a .# (. followed by a digit) openssl won't recognize the link to the certificate, and that certificate won't be usable for ssl connections from a client.

True both on RHEL 5 and RHEL 6

Version-Release number of selected component (if applicable):

Revision 3.0-0


I can provide some content for this when I figure out the best way to repair the command.
Comment 1 Trevor McKay 2012-10-09 13:09:55 EDT
Created attachment 624198 [details]
patch for certificate hash generation instructions

Hmm, simple.  Looking more closely, the "some files may hash to the same value" instruction already shows the use of a suffix.  We just need a .0 in the first case.

So, something akin to this patch -- add the .0, change the verbage slightly.
Comment 5 Stanislav Graf 2012-10-16 04:27:30 EDT
(In reply to comment #1)

VERIFIED

Note You need to log in before you can comment on or make changes to this bug.